[ 
https://issues.apache.org/jira/browse/AMBARI-23881?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
 ]

ASF GitHub Bot updated AMBARI-23881:
------------------------------------
    Labels: pull-request-available  (was: )

> Remove dependency on marked.js 0.3.2 in Ambari Web
> --------------------------------------------------
>
>                 Key: AMBARI-23881
>                 URL: https://issues.apache.org/jira/browse/AMBARI-23881
>             Project: Ambari
>          Issue Type: Bug
>          Components: ambari-web
>    Affects Versions: 2.7.0
>            Reporter: Andrii Babiichuk
>            Assignee: Andrii Babiichuk
>            Priority: Blocker
>              Labels: pull-request-available
>             Fix For: 2.7.0
>
>
> Remove dependency on marked.js 0.3.2 in Ambari Web due to security concerns. 
> See 
> * https://nvd.nist.gov/vuln/detail/CVE-2015-1370
> * https://nvd.nist.gov/vuln/detail/CVE-2017-1000427
> {noformat}
> [root@host ~]# ambari-server --version
> 2.7.0.0-519
> {noformat}
> {noformat}
> [root@host ~]# find /usr/lib -name marked.js
> /usr/lib/ambari-server/web/api-docs/lib/marked.js
> {noformat}
> Recommendation is to remove the dependency or upgrade to version 0.3.2-1 or 
> the latest version, if possible. 



--
This message was sent by Atlassian JIRA
(v7.6.3#76005)

Reply via email to